This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481410 - Review Request: perl-Mail-POP3Client - Perl 5 module to talk to a POP3 (RFC1939) server
Review Request: perl-Mail-POP3Client - Perl 5 module to talk to a POP3 (RFC19...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481411
  Show dependency treegraph
 
Reported: 2009-01-24 02:01 EST by Ralf Corsepius
Modified: 2010-06-26 16:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 12:31:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-01-24 02:01:18 EST
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Mail-POP3Client.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Mail-POP3Client-2.18-1.fc10.src.rpm
Description:
Perl 5 module to talk to a POP3 (RFC1939) server

Note: This package is an indirect dependency of rt3's testsuite.
Comment 1 Parag AN(पराग) 2009-01-24 07:39:49 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1079143
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
27b99775072f6ad4b585f7484c47405d  Mail-POP3Client-2.18.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ make test gave
All tests successful.
Files=1, Tests=26,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.05 cusr  0.01 csys =  0.07 CPU)

+ Package: perl-Mail-POP3Client-2.18-1.fc11 =>
Provides: perl(Mail::POP3Client) = 2.18
Requires: perl(Carp) perl(Exporter) perl(IO::Socket) perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 2 Ralf Corsepius 2009-01-25 00:34:22 EST
New Package CVS Request
=======================
Package Name: perl-Mail-POP3Client
Short Description: Perl 5 module to talk to a POP3 (RFC1939) server
Owners: corsepiu
Branches: F-10 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-26 17:24:30 EST
cvs done.
Comment 4 Parag AN(पराग) 2009-02-05 08:07:29 EST
Is this built for requested branches? If yes then can we close this review?
Comment 5 Ralf Corsepius 2009-02-05 12:31:08 EST
(In reply to comment #4)
> Is this built for requested branches?
meanwhile, yes ...
> If yes then can we close this review?
This Fedora buildsys should learn to automatically close reviews <~~~
Comment 6 Jeroen van Meeuwen 2010-06-25 00:33:47 EDT
Package Change Request
======================
Package Name: perl-Mail-POP3Client
New Branches: EL-5 EL-6
Owners: kanarip
Comment 7 Jason Tibbitts 2010-06-26 16:35:58 EDT
corseipu is listed as not contributing to EPEL.

CVS done.

Note You need to log in before you can comment on or make changes to this bug.